/***************************************************************
 * Name:      fauhrada.h
 * Author:    David Vachulka (arch_dvx@users.sourceforge.net)
 * Copyright: 2014
 * License:   GPL3
 **************************************************************/

#ifndef FAUHRADA_H
#define FAUHRADA_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

class FaUhrada {
public:
    FaUhrada() : m_id(-1), m_pokladnou(false), m_eet(false) {}
    FaUhrada(int id, const wxString &uhrada, bool pokladnou, bool eet);

    bool isValid() const;
    int id() const;
    void setId(int id);
    wxString uhrada() const;
    void setUhrada(const wxString &uhrada);
    bool pokladnou() const;
    void setPokladnou(bool pokladnou);
    bool eet() const;
    void setEet(bool eet);
private:
    int m_id;
    wxString m_uhrada;
    bool m_pokladnou;
    bool m_eet;
};

#endif  /* FAUHRADA_H */

